package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.UserResource;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 页面资源表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface UserResourceMapper extends BaseMapper<UserResource> {

    /**
     * 查询角色下整个resource树
     * @param roleCode
     * @return
     */
    List<UserResource> listResourceTreeByRoleCode(@Param("roleCode")String roleCode);

}
